# $Id: smeserver-password.spec,v 1.3 2008/04/26 21:36:46 snetram Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-password
%define version 1.0.0
%define release 10

Summary: SME Server password panel
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-password-1.0.0-locale-2008-03-11.patch
Patch1: smeserver-password-1.0.0-locale-2008-04-01.patch
Patch2: smeserver-password-1.0.0-initdb.patch
Patch3: smeserver-password-1.0.0-locale-2008-04-22.patch
Patch4: smeserver-password-1.0.0-add2general.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-formmagick >= 1.4.0-12

%description
Smeserver addon panel to change password strength and password ageing

%changelog
* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-10
- Add common <base> tags to e-smith-formmagick's general

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-9
- Added 22 April 2008 locale patch
- Moved db defaults out of spec file

* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 1.0.0-8
- Update to UTF-8 translations

* Tue Mar 11 2008 Stephen Noble <support@dungog.net> - 1.0.0-7
- update locale 2008-03-11

* Sat Mar 01 2008 Stephen Noble <support@dungog.net> - 1.0.0-6
- build on smecontribs
- default password aging = no

* Sat Mar 01 2008 Stephen Noble <support@dungog.net> - 1.0.0-5
- removed Italian lexicon for now
- removed <trans> values in general
- moved from collaboration to security

* Wed Jun 20 2007 Blaz <gxs@sishell.net>,Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-04
- Added functions to lock account and reset password age

* Wed Jan 24 2007 Blaz <gxs@sishell.net>
- 1.0.0-03
- Cosmetics fixes
- English typos fixing

* Wed Jan 24 2007 Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-02
- completed english translation

* Fri Jan 12 2007 Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-01
- Original version

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
LEXICONS=$(find root/etc/e-smith/locale/ -type f )

for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
%clean
rm -rf $RPM_BUILD_ROOT
%post
true
%postun
true
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
